/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.otgs-development-site-front-end {display:none;}

@font-face {
	font-family: 'myriad-pro-regular';
	font-weight: 400;
	font-style: normal;
	src: url('/wp-content/uploads/2026/02/MyriadPro-Regular.eot');
	src: local('Myriad-Pro-regular'), local('Myriad-Pro-regular'),
		url('/wp-content/uploads/2026/02/MyriadPro-Regular.eot?#iefix') format('embedded-opentype'),
		url('/wp-content/uploads/2026/02/MyriadPro-Regular.woff2') format('woff2'),
		url('/wp-content/uploads/2026/02/MyriadPro-Regular.woff') format('woff'),
		url('/wp-content/uploads/2026/02/MyriadPro-Regular.ttf') format('truetype');
}
@font-face {
	font-family: 'myriad-pro-bold';
	font-weight: 700;
	font-style: normal;
	src: url('/wp-content/uploads/2026/02/MyriadPro-Bold.eot');
	src: local('Myriad-Pro-bold'), local('Myriad-Pro-bold'),
		url('/wp-content/uploads/2026/02/MyriadPro-Bold.eot?#iefix') format('embedded-opentype'),
		url('/wp-content/uploads/2026/02/MyriadPro-Bold.woff2') format('woff2'),
		url('/wp-content/uploads/2026/02/MyriadPro-Bold.woff') format('woff'),
		url('/wp-content/uploads/2026/02/MyriadPro-Bold.ttf') format('truetype');
}


body,
html {overflow-x:hidden; width: 100vw;}
p:empty {display:none;}
#page {padding:0 !important}
.one-container .site-content {padding:0;}
.modal-backdrop.in {opacity: 0.85; filter: alpha(opacity=85);}

.site-main#main > .type-page {margin-bottom:0 !important;}

.stk-block-heading p {margin-bottom:0 !important}
.tb-fields-and-text.co-ziskate p {font-size:22px !important;}
.text {padding:0 2em; max-width:80%; margin:0 auto;}
.page-id-127 .entry-content > .stk-block-image#header {padding-bottom:0 !important}



/* */
/* */
/* FOOTER */
.site-footer p {margin-bottom:0 !important;}
.site-footer p em {font-size:80%; font-style:normal;}

/* */
/* */
/* PASSSTER */
.entry-content .passster-form {margin-left: calc(-100vw / 2 + 100% / 2) !important; margin-right: calc(-100vw / 2 + 100% / 2) !important; max-width: 100vw !important; width: auto !important;}
.entry-content .passster-form .ps-form-headline {font-size: 24px; font-weight: 800; color: #000000; background: var(--accent); padding: 1em; text-align: center; width: 100%; display: block !important; margin-bottom: 3em !important; margin-top: 0 !important;}
.entry-content .passster-form h5 {background: red; color: white; width: fit-content; margin: 0 auto; padding: 1.5em; margin-bottom: 2em;}
.entry-content .passster-form p {text-align:center; margin:0; padding:3em 2em 0 2em; padding-top:0;}
.entry-content .passster-form p:last-of-type {margin-top:2em; padding-bottom:.5em;}
.entry-content .passster-form fieldset {margin: 0 auto !important; min-width: 250px !important; padding: 0 !important; width: 100% !important; max-width: 500px !important; text-align: center;}
.entry-content .passster-form label {display: none !important;}
.entry-content .passster-form fieldset button[type=submit] {text-decoration: none !important; background: var(--zluta); color: black; text-transform: uppercase; font-weight: 900 !important; font-family: 'myriad-pro-regular'; width: fit-content !important; margin: 0 auto !important; padding: 10px 90px !important; border-radius: 50px !important; margin-top: 1em !important; margin-bottom: 1em !important;}

/* */
/* */
/* CF7 */
.wpcf7 label {display:flex; flex-direction:column; font-weight:400;}
.wpcf7 label .wpcf7-form-control-wrap {display:block;}
.wpcf7 label .wpcf7-form-control-wrap input {width:100%; border:1px solid var(--accent);}
.wpcf7 label .wpcf7-form-control-wrap input:focus {border-color:black; box-shadow: 0 0 10px rgb(150, 150, 1);}
.wpcf7 h3 {display: block; text-align: center; background: #EB1700; color: white; padding: 1em; margin-bottom:1em; font-size:150%;}
.wpcf7 .wpcf7-acceptance .wpcf7-list-item {margin:0;}
.wpcf7 .wpcf7-acceptance .wpcf7-list-item label {display:grid; grid-template-columns:20px 1fr; grid-gap:10px;}
.wpcf7 .wpcf7-acceptance .wpcf7-list-item label input[type="checkbox"] {width:20px; height:20px; margin:0;}
.wpcf7 a {color:#4B99FF; margin-left:30px; cursor:pointer;}
.wpcf7 a:hover {color:black;}
.wpcf7 form > p:last-of-type {display:flex; gap:10px; margin-top: 2em; align-items:center;}
.wpcf7 .wpcf7-submit {background: var(--zluta); color: black; font-size: 120%; font-weight: 900; text-transform: uppercase; width: fit-content; padding: 15px 50px; border-radius: 70px; display: block;}
.wpcf7 .wpcf7-submit:disabled {opacity:.3}
.wpcf7 .wpcf7-spinner {margin-left:0;}

/* */
/* */
/* MODAL */
.modal.in .modal-dialog {width:80%; max-width:var(--stk-block-width-default-detected)}
.modal-backdrop.in {opacity: 0.85 !important; filter: alpha(opacity=85) !important;}

/* */
/* */
/* PWP PRO */
#gform_wrapper_1 .gform_heading {display:none !important;}
#gform_wrapper_1 .gform-field-label {margin-bottom:3px !important; font-size: 100%; gap:0;}
#gform_wrapper_1 .gfield--type-html h3 {margin-bottom:0}
#gform_wrapper_1 .gfield--type-html.souhlas {margin-top:-40px !important;}
#gform_wrapper_1 .gfield--type-html.souhlas a {color: #4B99FF; margin-left: 33px; cursor: pointer;}
#gform_wrapper_1 .gfield--type-html.souhlas a:hover {color:black;}
#gform_wrapper_1 input {outline:none !important}
#gform_wrapper_1 input:not([type="submit"]) {border-color:var(--accent);}
#gform_wrapper_1 input:not([type="submit"]):focus {border-color:black;}
#gform_wrapper_1 input[aria-invalid="true"] {border-color:red;}
#gform_wrapper_1 [type="submit"] {background: var(--zluta); color: black; font-size: 120%; font-weight: 900; text-transform: uppercase; width: fit-content; padding: 15px 50px; border-radius: 70px; display: block; margin-bottom:3em;}
#gform_wrapper_1 [type="submit"]:hover {background: var(--accent); color: black; font-size: 120%; font-weight: 900; text-transform: uppercase; width: fit-content; padding: 15px 50px; border-radius: 70px; display: block;}
#gform_wrapper_1 [type="submit"][disabled="disabled"] {display:block !important; opacity:0.3; cursor: not-allowed;}
#gform_wrapper_1 .gfield_required {font-size:100%;; color:black;}
#gform_wrapper_1 #field_1_13 {margin-top:-30px;}
#gform_wrapper_1 #validation_message_1_3 {font-size:0;}
#gform_wrapper_1 #validation_message_1_3::after {content:"Nebylo zadáno správné heslo, nebo heslo již bylo jednou použito"; font-size: 16px;}
#gform_1_validation_container {display:none !important}

/* */
/* */
/* GRAVITY */
.stk-block-columns#formular .stk-row #gform_wrapper_1 {display:block !important}


@media screen and (max-width:1024px) {
	.entry-content > .stk-block-image#header {padding-bottom:3em !important;}
	.text {max-width:100%;}
	.site-footer .tb-fields-and-text {padding:0 2em;}
}
@media screen and (max-width:768px) {
	.entry-content {padding:0 2em;}
	.entry-content .passster-form .ps-form-headline {margin-bottom:2em;}
	.entry-content .passster-form fieldset {padding:0 2em;}
	.entry-content > .stk-block-image#header,
	.entry-content > .stk-block-heading,
	.entry-content > .stk-block-columns {margin-left: calc(-100vw / 2 + 100% / 2) !important; margin-right: calc(-100vw / 2 + 100% / 2) !important; max-width: 100vw !important; width: auto;}
	.text {padding:0 !important;}
	.wpcf7 .wpcf7-submit {margin-top:0;}
	.modal.in .modal-dialog {width: 95%; margin: 0 auto;}
	.site-footer .stk-block-image {padding-top:2em !important}
	.site-footer .stk-block-text {margin-top:2em !important}
	
}
@media screen and (max-width:400px) {
	.entry-content .passster-form fieldset button[type=submit] {padding: 10px 30px;}	
}















